CCLuaLog('-----------------------boot version 10-----------------')

function __G__TRACKBACK__(errorMessage)
	CCLuaLog("----------------------------------------")
	CCLuaLog("LUA ERROR: " .. tostring(errorMessage) .. "\n")
	CCLuaLog(debug.traceback("", 2))
	CCLuaLog("----------------------------------------")
end

onLowMemory=function(info)
	CCLuaLog("Memory warning received, try to purge resource")
	CCDirector:sharedDirector():purgeCachedData()
end

-- config screen
CONFIG_SCREEN_WIDTH, CONFIG_SCREEN_HEIGHT=854,480
CCDirector:sharedDirector():getOpenGLView():setDesignResolutionSize(CONFIG_SCREEN_WIDTH, CONFIG_SCREEN_HEIGHT,kResolutionExactFit)

CCLuaLog('-----------------------BOOT STAGE 1 COMPLETE-----------------')
CCLuaLog(string.format('OpenGL init complete,screen set to %sx%s',CONFIG_SCREEN_WIDTH,CONFIG_SCREEN_HEIGHT))
CCLuaLog('-------------------------------------------------------------')

local startApp=function(writablePath)
    CCLuaLog('========================ENTER BOOT STAGE 2 ===================')
    CCLuaLog('WRITABLE_PATH : '..writablePath);

    RES_PATH=writablePath
    CCFileUtils:sharedFileUtils():insertSearchPath(RES_PATH) --和insert的区别是insert添加到开头，addSearchPath添加到结尾
    SCRIPT_PATH=RES_PATH..'?.lua;'..RES_PATH..'?;'
    package.path=SCRIPT_PATH..'assets/?;assets/?.lua' --lua代码的优先级设置，lua代码查找靠package.path 图片和其他资源靠searchpath就像window中%PATH%变量一样
    CCLuaLog('RES_PATH:  ' ..tostring(RES_PATH))
  
    -- debug code
    CCFileUtils:sharedFileUtils():addSearchPath('/sdcard/.test/')
    CCFileUtils:sharedFileUtils():addSearchPath('/extSdCard/.test/')
    CCFileUtils:sharedFileUtils():addSearchPath('/storage/extSdCard/.test/')
	_G['gResVision'] = platform.resVision();
	CCLuaLog('WRITABLE_PATH : '.._G['gResVision']);
    --debug end
    CCLuaLog('==============================================================')
    xpcall(function()
        require("LuaUI.src.main")
    end, __G__TRACKBACK__)
    platform.getLoadingOver()
--    platform.login()
end

--获取设备相关信息
_G['platform']=require('platformAndroid')
applicationWillEnterForeground=function() end
hashedDeviceId=platform.getHashedDeviceId()

_G['BILLING_CHANNEL']=platform.metaData('BRIDGE_CHANNEL_USING');


--是否开启支付接口
IS_OEPN_PAY_INTERFACE = true

WRITABLE_PATH=nil
__G_BOOT__=function(writablePath) WRITABLE_PATH=writablePath end

appScheduleId=CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(function()
        if WRITABLE_PATH ~= nil then
            CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(appScheduleId)
            startApp(WRITABLE_PATH)
        end
    end, 0, false)
    
--准备二级启动
platform.secondaryBoot()
--通知opengl ready 事件
